VMware Plugs Critical Code Execution Flaws

remote code execution vmware Vulnerabilities

Virtualization technology giant VMware on Tuesday shipped its first security bulletin for 2023 with patches for multiple critical-level flaws that expose businesses to remote code execution attacks.

VMware said the security defects affect users of its VMware vRealize Log Insight and could be exploited by an unauthenticated attacker to take full control of a target system.

VMware’s VRealize Log Insight is a log collection and analytics virtual appliance used by administrators to collect, view, manage and analyze syslog data.

The company said the most serious of the four documented flaws carry a CVSS severity score of 9.8 out of 10, adding to the urgency for organizations to apply available patches.

An advisory from the Palo Alto, Calif. company described the flaws — CVE-2022-31706, CVE-2022-31704, CVE-2022-31710 and CVE-2022-31711 –as directory traversal and broken access control issues with dangerous implications. 

“An unauthenticated, malicious actor can inject files into the operating system of an impacted appliance which can result in remote code execution,” VMware warned.

The company also shipped fixes for a separate deserialization vulnerability that exposes vRealize Log Insight users to denial-of-service attacks.  

VMware also patched an information disclosure issue that allowed attackers to remotely collect sensitive session and application information without authentication.   

Related: VMware Patches VM Escape Flaw Exploited at Geekpwn Event

Related: Gaping Authentication Bypass Holes in VMware Workspace One

Related: VMware Confirms Workspace One Exploits in the Wild

The post VMware Plugs Critical Code Execution Flaws appeared first on SecurityWeek.